## postgresql-rum 1.2.0

=== Makefile ===
# contrib/rum/Makefile

MODULE_big = rum
EXTENSION = rum
EXTVERSION = 1.2
PGFILEDESC = "RUM index access method"

OBJS = src/rumsort.o src/rum_ts_utils.o src/rumtsquery.o \
	src/rumbtree.o src/rumbulk.o src/rumdatapage.o \
	src/rumentrypage.o src/rumget.o src/ruminsert.o \
	src/rumscan.o src/rumutil.o src/rumvacuum.o src/rumvalidate.o \
	src/btree_rum.o src/rum_arr_utils.o $(WIN32RES)

DATA = rum--1.0.sql
DATA_updates = rum--1.0--1.1.sql rum--1.1--1.2.sql
DATA_built = rum--$(EXTVERSION).sql $(DATA_updates)

INCLUDES = rum.h rumsort.h
RELATIVE_INCLUDES = $(addprefix src/, $(INCLUDES))

LDFLAGS_SL += $(filter -lm, $(LIBS))

REGRESS = rum rum_hash ruminv timestamp orderby orderby_hash altorder \
	altorder_hash limits \
	int2 int4 int8 float4 float8 money oid \
    time timetz date interval \
    macaddr inet cidr text varchar char bytea bit varbit \
	numeric

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/rum
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

ifeq ($(MAJORVERSION), 9.6)
# arrays are not supported on 9.6
else
REGRESS += array
endif

wal-check: temp-install
	$(prove_check)

all: rum--$(EXTVERSION).sql

#9.6 requires 1.2 file but 10.0 could live with update files
rum--$(EXTVERSION).sql: $(DATA) $(DATA_updates)
	cat $(DATA) $(DATA_updates) > rum--$(EXTVERSION).sql

# rule for updates, e.g. rum--1.0--1.1.sql
rum--%.sql: gen_rum_sql--%.pl
	perl $< > $@

install: installincludes

installincludes:
	$(INSTALL) -d '$(DESTDIR)$(includedir_server)/'
	$(INSTALL_DATA) $(addprefix $(srcdir)/, $(RELATIVE_INCLUDES)) '$(DESTDIR)$(includedir_server)/'

uninstall: uninstallincludes

uninstallincludes:
	rm -f $(addprefix '$(DESTDIR)$(includedir_server)/', $(INCLUDES))

ISOLATIONCHECKS= predicate-rum predicate-rum-2

submake-isolation:
	$(MAKE) -C $(top_builddir)/src/test/isolation all

submake-rum:
	$(MAKE) -C $(top_builddir)/contrib/rum

isolationcheck: | submake-isolation submake-rum temp-install
	$(pg_isolation_regress_check) \
	    --temp-config $(top_srcdir)/contrib/rum/logical.conf \
		$(ISOLATIONCHECKS)

=== debian/changelog ===
postgresql-rum (1.2.0-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Wed, 15 Nov 2017 19:03:30 +0100

postgresql-rum (1.1.0-1) unstable; urgency=medium

  * Initial release.

 -- Christoph Berg <myon@debian.org>  Sun, 29 Oct 2017 18:32:19 +0100

=== debian/control ===
Source: postgresql-rum
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 153~)
Standards-Version: 4.1.1
Homepage: https://github.com/postgrespro/rum
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/postgresql-rum.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-postgresql/postgresql-rum.git

Package: postgresql-10-rum
Architecture: any
Depends: postgresql-10, ${misc:Depends}, ${shlibs:Depends}
Description: PostgreSQL RUM access method
 This PostgreSQL extension provides the RUM access method, an inverted index
 with additional information in posting lists.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/postgresql-common/pgxs_debian_control.mk

override_dh_auto_build:
	# nothing to do here, see override_dh_auto_install instead

override_dh_auto_test:
	# nothing to do here, see debian/tests/* instead

override_dh_auto_install:
	+pg_buildext loop postgresql-%v-rum

override_dh_installdocs:
	dh_installdocs --all README.*

override_dh_auto_clean:
	$(MAKE) clean USE_PGXS=1 PG_CONFIG=/usr/bin/pg_config

%:
	dh $@

## postgresql-rum 1.2.1

=== Makefile ===
--- 
+++ 
@@ -11,17 +11,20 @@
 	src/rumscan.o src/rumutil.o src/rumvacuum.o src/rumvalidate.o \
 	src/btree_rum.o src/rum_arr_utils.o $(WIN32RES)
 
-DATA = rum--1.0.sql
+DATA_first = rum--1.0.sql
 DATA_updates = rum--1.0--1.1.sql rum--1.1--1.2.sql
-DATA_built = rum--$(EXTVERSION).sql $(DATA_updates)
+DATA = $(DATA_first) rum--$(EXTVERSION).sql $(DATA_updates)
+
+# Do not use DATA_built. It removes built files if clean target was used
+SQL_built = rum--$(EXTVERSION).sql $(DATA_updates)
 
 INCLUDES = rum.h rumsort.h
 RELATIVE_INCLUDES = $(addprefix src/, $(INCLUDES))
 
 LDFLAGS_SL += $(filter -lm, $(LIBS))
 
-REGRESS = rum rum_hash ruminv timestamp orderby orderby_hash altorder \
-	altorder_hash limits \
+REGRESS = rum rum_validate rum_hash ruminv timestamp orderby orderby_hash \
+	altorder altorder_hash limits \
 	int2 int4 int8 float4 float8 money oid \
     time timetz date interval \
     macaddr inet cidr text varchar char bytea bit varbit \
@@ -47,11 +50,11 @@
 wal-check: temp-install
 	$(prove_check)
 
-all: rum--$(EXTVERSION).sql
+all: $(SQL_built)
 
 #9.6 requires 1.2 file but 10.0 could live with update files
-rum--$(EXTVERSION).sql: $(DATA) $(DATA_updates)
-	cat $(DATA) $(DATA_updates) > rum--$(EXTVERSION).sql
+rum--$(EXTVERSION).sql: $(DATA_first) $(DATA_updates)
+	cat $(DATA_first) $(DATA_updates) > rum--$(EXTVERSION).sql
 
 # rule for updates, e.g. rum--1.0--1.1.sql
 rum--%.sql: gen_rum_sql--%.pl

=== debian/changelog ===
postgresql-rum (1.2.1-1) unstable; urgency=medium

  * New upstream version with PG11 support.
  * Move packaging repository to salsa.debian.org

 -- Christoph Berg <myon@debian.org>  Mon, 25 Dec 2017 18:03:39 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 153~)
 Standards-Version: 4.1.1
 Homepage: https://github.com/postgrespro/rum
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/postgresql-rum.git/
-Vcs-Git: https://anonscm.debian.org/git/pkg-postgresql/postgresql-rum.git
+Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-rum
+Vcs-Git: https://salsa.debian.org/postgresql/postgresql-rum.git
 
 Package: postgresql-10-rum
 Architecture: any

## postgresql-rum 1.3.2

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 MODULE_big = rum
 EXTENSION = rum
-EXTVERSION = 1.2
+EXTVERSION = 1.3
 PGFILEDESC = "RUM index access method"
 
 OBJS = src/rumsort.o src/rum_ts_utils.o src/rumtsquery.o \
@@ -12,7 +12,9 @@
 	src/btree_rum.o src/rum_arr_utils.o $(WIN32RES)
 
 DATA_first = rum--1.0.sql
-DATA_updates = rum--1.0--1.1.sql rum--1.1--1.2.sql
+DATA_updates = rum--1.0--1.1.sql rum--1.1--1.2.sql \
+			   rum--1.2--1.3.sql
+
 DATA = $(DATA_first) rum--$(EXTVERSION).sql $(DATA_updates)
 
 # Do not use DATA_built. It removes built files if clean target was used
@@ -52,7 +54,7 @@
 
 all: $(SQL_built)
 
-#9.6 requires 1.2 file but 10.0 could live with update files
+#9.6 requires 1.3 file but 10.0 could live with update files
 rum--$(EXTVERSION).sql: $(DATA_first) $(DATA_updates)
 	cat $(DATA_first) $(DATA_updates) > rum--$(EXTVERSION).sql

=== debian/changelog ===
postgresql-rum (1.3.2-4) unstable; urgency=medium

  * Recompile against new heap_getattr() API in PostgreSQL 11.2.
  * Add debian/gitlab-ci.yml.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 12 Feb 2019 15:14:34 +0100

postgresql-rum (1.3.2-3) unstable; urgency=medium

  * Fix dpkg variable syntax for 9.x versions.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 27 Nov 2018 11:31:19 +0100

postgresql-rum (1.3.2-2) unstable; urgency=medium

  * postgresql-11 11.1 renamed rb_* to rbt_* to avoid conflicts with Ruby
    symbols. Add a dependency on >= 11.1. (The renaming was not yet done in
    10.6, but will happen in 10.7; add a << 10.7 dependency in the PG10
    module.)

 -- Christoph Berg <myon@debian.org>  Sat, 10 Nov 2018 15:29:01 +0100

postgresql-rum (1.3.2-1) unstable; urgency=medium

  * New upstream version with 10.x compatibility fixed.

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 09 Nov 2018 14:08:56 +0100

postgresql-rum (1.3.1-1) unstable; urgency=medium

  * New upstream version compatible with 11.1+, 10.6+ and 9.x.

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 09 Nov 2018 13:05:44 +0100

postgresql-rum (1.3.0-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 17 Oct 2018 16:54:11 +0200

postgresql-rum (1.2.1-2) unstable; urgency=medium

  * Upload for PostgreSQL 11.
  * Build-Depend on systemtap-sdt-dev.
  * Move maintainer address to team+postgresql@tracker.debian.org.

 -- Christoph Berg <myon@debian.org>  Sat, 13 Oct 2018 22:37:58 +0200

=== debian/control ===
Source: postgresql-rum
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends:
 debhelper (>= 9),
 postgresql-server-dev-all (>= 153~),
 systemtap-sdt-dev,
Standards-Version: 4.2.0
Homepage: https://github.com/postgrespro/rum
Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-rum
Vcs-Git: https://salsa.debian.org/postgresql/postgresql-rum.git

Package: postgresql-11-rum
Architecture: any
Depends: postgresql-11, ${11:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: PostgreSQL RUM access method
 This PostgreSQL extension provides the RUM access method, an inverted index
 with additional information in posting lists.

=== debian/rules ===
--- 
+++ 
@@ -17,5 +17,14 @@
 override_dh_auto_clean:
 	$(MAKE) clean USE_PGXS=1 PG_CONFIG=/usr/bin/pg_config
 
+override_dh_gencontrol:
+	# fix variable syntax for dotted versions
+	sed -i -e 's/9.\(.\):Depends/9\1:Depends/' debian/control
+	# rb_* renaming upcoming in 10.7
+	echo '10:Depends=postgresql-10 (<< 10.7)' >> debian/postgresql-10-rum.substvars
+	# rb_* renamed to rbt_* in 11.1
+	echo '11:Depends=postgresql-11 (>= 11.1)' >> debian/postgresql-11-rum.substvars
+	dh_gencontrol -v
+
 %:
 	dh $@

## postgresql-rum 1.3.6

=== Makefile ===
--- 
+++ 
@@ -52,6 +52,8 @@
 wal-check: temp-install
 	$(prove_check)
 
+check: wal-check
+
 all: $(SQL_built)
 
 #9.6 requires 1.3 file but 10.0 could live with update files

=== debian/changelog ===
postgresql-rum (1.3.6-2) unstable; urgency=medium

  * Upload for PostgreSQL 12.

 -- Christoph Berg <myon@debian.org>  Thu, 31 Oct 2019 10:57:38 +0100

postgresql-rum (1.3.6-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Thu, 18 Jul 2019 15:31:17 +0200

postgresql-rum (1.3.5-1) unstable; urgency=medium

  * New upstream version with PG12 support.

 -- Christoph Berg <myon@debian.org>  Thu, 27 Jun 2019 11:08:44 +0200

postgresql-rum (1.3.3-1) experimental; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Fri, 29 Mar 2019 15:46:47 +0100

postgresql-rum (1.3.2-5) unstable; urgency=medium

  * Update postgresql-10-rum dependency to >= 10.7 for the rb_* rename.

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 15 Feb 2019 09:27:53 +0100

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,9 @@
 Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-rum
 Vcs-Git: https://salsa.debian.org/postgresql/postgresql-rum.git
 
-Package: postgresql-11-rum
+Package: postgresql-12-rum
 Architecture: any
-Depends: postgresql-11, ${11:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Depends: postgresql-12, ${12:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Description: PostgreSQL RUM access method
  This PostgreSQL extension provides the RUM access method, an inverted index
  with additional information in posting lists.
-

=== debian/rules ===
--- 
+++ 
@@ -20,9 +20,8 @@
 override_dh_gencontrol:
 	# fix variable syntax for dotted versions
 	sed -i -e 's/9.\(.\):Depends/9\1:Depends/' debian/control
-	# rb_* renaming upcoming in 10.7
-	echo '10:Depends=postgresql-10 (<< 10.7)' >> debian/postgresql-10-rum.substvars
-	# rb_* renamed to rbt_* in 11.1
+	# rb_* renamed to rbt_* in 10.7/11.1
+	echo '10:Depends=postgresql-10 (>= 10.7)' >> debian/postgresql-10-rum.substvars
 	echo '11:Depends=postgresql-11 (>= 11.1)' >> debian/postgresql-11-rum.substvars
 	dh_gencontrol -v

## postgresql-rum 1.3.7

=== Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
 	int2 int4 int8 float4 float8 money oid \
     time timetz date interval \
     macaddr inet cidr text varchar char bytea bit varbit \
-	numeric
+	numeric rum_weight
 
 ifdef USE_PGXS
 PG_CONFIG = pg_config

=== debian/changelog ===
postgresql-rum (1.3.7-1) unstable; urgency=medium

  * Upload for PostgreSQL 13.
  * Use dh --with pgxs_loop.
  * Drop dependencies for rbt_* rename.
  * R³: no.
  * DH 13.
  * debian/tests: Use 'make' instead of postgresql-server-dev-all.

 -- Christoph Berg <myon@debian.org>  Mon, 19 Oct 2020 21:26:00 +0200

=== debian/control ===
Source: postgresql-rum
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 postgresql-all (>= 217~),
 systemtap-sdt-dev,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/postgrespro/rum
Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-rum
Vcs-Git: https://salsa.debian.org/postgresql/postgresql-rum.git

Package: postgresql-13-rum
Architecture: any
Depends: postgresql-13, ${misc:Depends}, ${shlibs:Depends}
Description: PostgreSQL RUM access method
 This PostgreSQL extension provides the RUM access method, an inverted index
 with additional information in posting lists.

=== debian/watch ===
version=4
https://github.com/postgrespro/rum/releases .*/([0-9].*).tar.gz

## postgresql-rum 1.3.9

=== debian/changelog ===
postgresql-rum (1.3.9-1.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 26 Oct 2021 14:07:28 +0200

postgresql-rum (1.3.9-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 26 Oct 2021 14:07:28 +0200

postgresql-rum (1.3.8-2) unstable; urgency=medium

  * Upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Thu, 21 Oct 2021 10:51:24 +0200

postgresql-rum (1.3.8-1) experimental; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Wed, 30 Jun 2021 14:21:23 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper (>= 10),
  postgresql-all (>= 217~),
  systemtap-sdt-dev,
 Standards-Version: 4.5.0
@@ -13,9 +13,44 @@
 Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-rum
 Vcs-Git: https://salsa.debian.org/postgresql/postgresql-rum.git
 
+Package: postgresql-9.6-rum
+Architecture: any
+Depends: postgresql-9.6, ${misc:Depends}, ${shlibs:Depends}
+Description: PostgreSQL RUM access method
+ This PostgreSQL extension provides the RUM access method, an inverted index
+ with additional information in posting lists.
+
+Package: postgresql-10-rum
+Architecture: any
+Depends: postgresql-10, ${misc:Depends}, ${shlibs:Depends}
+Description: PostgreSQL RUM access method
+ This PostgreSQL extension provides the RUM access method, an inverted index
+ with additional information in posting lists.
+
+Package: postgresql-11-rum
+Architecture: any
+Depends: postgresql-11, ${misc:Depends}, ${shlibs:Depends}
+Description: PostgreSQL RUM access method
+ This PostgreSQL extension provides the RUM access method, an inverted index
+ with additional information in posting lists.
+
+Package: postgresql-12-rum
+Architecture: any
+Depends: postgresql-12, ${misc:Depends}, ${shlibs:Depends}
+Description: PostgreSQL RUM access method
+ This PostgreSQL extension provides the RUM access method, an inverted index
+ with additional information in posting lists.
+
 Package: postgresql-13-rum
 Architecture: any
 Depends: postgresql-13, ${misc:Depends}, ${shlibs:Depends}
 Description: PostgreSQL RUM access method
  This PostgreSQL extension provides the RUM access method, an inverted index
  with additional information in posting lists.
+
+Package: postgresql-14-rum
+Architecture: any
+Depends: postgresql-14, ${misc:Depends}, ${shlibs:Depends}
+Description: PostgreSQL RUM access method
+ This PostgreSQL extension provides the RUM access method, an inverted index
+ with additional information in posting lists.

## postgresql-rum 1.3.11~20220627.1428-1~1.git023ff17.pgdg18.04+1

=== debian/changelog ===
postgresql-rum (1.3.11~20220627.1428-1~1.git023ff17.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 11.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 14 Jun 2022 16:15:08 +0200

postgresql-rum (1.3.11-1) unstable; urgency=medium

  * New upstream version.
  * Restrict to PG10+.

 -- Christoph Berg <myon@debian.org>  Tue, 14 Jun 2022 16:15:08 +0200

## postgresql-rum 1.3.11~20220627.1428-1~1.git023ff17.pgdg20.04+1

=== debian/changelog ===
postgresql-rum (1.3.11~20220627.1428-1~1.git023ff17.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 14 Jun 2022 16:15:08 +0200

## postgresql-rum 1.3.11~20220627.1428-1~1.git023ff17.pgdg21.10+1

=== debian/changelog ===
postgresql-rum (1.3.11~20220627.1428-1~1.git023ff17.pgdg21.10+1) impish-pgdg; urgency=medium

  * Rebuild for impish-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 14 Jun 2022 16:15:08 +0200

## postgresql-rum 1.3.11~20220627.1428-1~1.git023ff17.pgdg22.04+1

=== debian/changelog ===
postgresql-rum (1.3.11~20220627.1428-1~1.git023ff17.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 14 Jun 2022 16:15:08 +0200

## postgresql-rum 1.3.11~20220627.1428-1~1.git023ff17.pgdg90+1

=== debian/changelog ===
postgresql-rum (1.3.11~20220627.1428-1~1.git023ff17.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 14 Jun 2022 16:15:08 +0200

=== debian/control ===
--- 
+++ 
@@ -12,20 +12,6 @@
 Homepage: https://github.com/postgrespro/rum
 Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-rum
 Vcs-Git: https://salsa.debian.org/postgresql/postgresql-rum.git
-
-Package: postgresql-9.6-rum
-Architecture: any
-Depends: postgresql-9.6, ${misc:Depends}, ${shlibs:Depends}
-Description: PostgreSQL RUM access method
- This PostgreSQL extension provides the RUM access method, an inverted index
- with additional information in posting lists.
-
-Package: postgresql-10-rum
-Architecture: any
-Depends: postgresql-10, ${misc:Depends}, ${shlibs:Depends}
-Description: PostgreSQL RUM access method
- This PostgreSQL extension provides the RUM access method, an inverted index
- with additional information in posting lists.
 
 Package: postgresql-11-rum
 Architecture: any

## postgresql-rum 1.3.11~20220627.1428-1~1.git023ff17.pgdg100+1

=== debian/changelog ===
postgresql-rum (1.3.11~20220627.1428-1~1.git023ff17.pgdg100+1) buster-pgdg; urgency=medium

  * Rebuild for buster-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 14 Jun 2022 16:15:08 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 12),
  postgresql-all (>= 217~),
  systemtap-sdt-dev,
 Standards-Version: 4.5.0

## postgresql-rum 1.3.11~20220627.1428-1~1.git023ff17.pgdg110+1

=== debian/changelog ===
postgresql-rum (1.3.11~20220627.1428-1~1.git023ff17.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 14 Jun 2022 16:15:08 +0200

## postgresql-rum 1.3.11~20220627.1428-1~1.git023ff17.pgdg120+1

=== debian/changelog ===
postgresql-rum (1.3.11~20220627.1428-1~1.git023ff17.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 14 Jun 2022 16:15:08 +0200

## postgresql-rum 1.3.11~20220627.1428-1~1.git023ff17.pgdg+1

=== debian/changelog ===
postgresql-rum (1.3.11~20220627.1428-1~1.git023ff17.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 14 Jun 2022 16:15:08 +0200

## postgresql-rum 1.3.11

=== debian/changelog ===
postgresql-rum (1.3.11-1.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 14 Jun 2022 16:15:08 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends:
- debhelper (>= 12),
+ debhelper-compat (= 13),
  postgresql-all (>= 217~),
  systemtap-sdt-dev,
 Standards-Version: 4.5.0

## postgresql-rum 1.3.13

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 
 LDFLAGS_SL += $(filter -lm, $(LIBS))
 
-REGRESS = rum rum_validate rum_hash ruminv timestamp orderby orderby_hash \
+REGRESS = security rum rum_validate rum_hash ruminv timestamp orderby orderby_hash \
 	altorder altorder_hash limits \
 	int2 int4 int8 float4 float8 money oid \
     time timetz date interval \

=== debian/changelog ===
postgresql-rum (1.3.13-2.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 18 Sep 2023 22:18:11 +0200

postgresql-rum (1.3.13-2) unstable; urgency=medium

  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Sep 2023 22:18:11 +0200

postgresql-rum (1.3.13-1) unstable; urgency=medium

  * New upstream version 1.3.13.
  * debian/watch: Look at GitHub tags instead of releases.

 -- Christoph Berg <myon@debian.org>  Mon, 24 Oct 2022 16:27:17 +0200

=== debian/control ===
Source: postgresql-rum
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 postgresql-all (>= 217~),
 systemtap-sdt-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/postgrespro/rum
Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-rum
Vcs-Git: https://salsa.debian.org/postgresql/postgresql-rum.git

Package: postgresql-11-rum
Architecture: any
Depends: ${postgresql:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: PostgreSQL RUM access method
 This PostgreSQL extension provides the RUM access method, an inverted index
 with additional information in posting lists.

Package: postgresql-12-rum
Architecture: any
Depends: ${postgresql:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: PostgreSQL RUM access method
 This PostgreSQL extension provides the RUM access method, an inverted index
 with additional information in posting lists.

Package: postgresql-13-rum
Architecture: any
Depends: ${postgresql:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: PostgreSQL RUM access method
 This PostgreSQL extension provides the RUM access method, an inverted index
 with additional information in posting lists.

Package: postgresql-14-rum
Architecture: any
Depends: ${postgresql:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: PostgreSQL RUM access method
 This PostgreSQL extension provides the RUM access method, an inverted index
 with additional information in posting lists.

Package: postgresql-15-rum
Architecture: any
Depends: ${postgresql:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: PostgreSQL RUM access method
 This PostgreSQL extension provides the RUM access method, an inverted index
 with additional information in posting lists.

Package: postgresql-16-rum
Architecture: any
Depends: ${postgresql:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: PostgreSQL RUM access method
 This PostgreSQL extension provides the RUM access method, an inverted index
 with additional information in posting lists.

## postgresql-rum 1.3.14

=== Makefile ===
--- 
+++ 
@@ -30,7 +30,9 @@
 	int2 int4 int8 float4 float8 money oid \
     time timetz date interval \
     macaddr inet cidr text varchar char bytea bit varbit \
-	numeric rum_weight
+	numeric rum_weight expr
+
+TAP_TESTS = 1
 
 ifdef USE_PGXS
 PG_CONFIG = pg_config
@@ -49,10 +51,13 @@
 REGRESS += array
 endif
 
+# For 9.6-11 we have to make specific target with tap tests
+ifeq ($(MAJORVERSION), $(filter 9.6% 10% 11%, $(MAJORVERSION)))
 wal-check: temp-install
 	$(prove_check)
 
 check: wal-check
+endif
 
 all: $(SQL_built)

=== debian/changelog ===
postgresql-rum (1.3.14-2.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sun, 16 Feb 2025 17:35:35 +0100

postgresql-rum (1.3.14-2) unstable; urgency=medium

  * Force detection of old/new perl TAP modules.

 -- Christoph Berg <myon@debian.org>  Sun, 16 Feb 2025 17:35:35 +0100

postgresql-rum (1.3.14-1) unstable; urgency=medium

  * New upstream version 1.3.14.

 -- Christoph Berg <myon@debian.org>  Mon, 21 Oct 2024 14:39:48 +0200

postgresql-rum (1.3.13-3) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Sun, 15 Sep 2024 12:51:36 +0200

=== debian/control ===
Source: postgresql-rum
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 debhelper-compat (= 13),
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
 systemtap-sdt-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/postgrespro/rum
Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-rum
Vcs-Git: https://salsa.debian.org/postgresql/postgresql-rum.git

Package: postgresql-11-rum
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: PostgreSQL RUM access method
 This PostgreSQL extension provides the RUM access method, an inverted index
 with additional information in posting lists.

Package: postgresql-12-rum
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: PostgreSQL RUM access method
 This PostgreSQL extension provides the RUM access method, an inverted index
 with additional information in posting lists.

Package: postgresql-13-rum
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: PostgreSQL RUM access method
 This PostgreSQL extension provides the RUM access method, an inverted index
 with additional information in posting lists.

Package: postgresql-14-rum
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: PostgreSQL RUM access method
 This PostgreSQL extension provides the RUM access method, an inverted index
 with additional information in posting lists.

Package: postgresql-15-rum
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: PostgreSQL RUM access method
 This PostgreSQL extension provides the RUM access method, an inverted index
 with additional information in posting lists.

Package: postgresql-16-rum
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: PostgreSQL RUM access method
 This PostgreSQL extension provides the RUM access method, an inverted index
 with additional information in posting lists.

Package: postgresql-17-rum
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: PostgreSQL RUM access method
 This PostgreSQL extension provides the RUM access method, an inverted index
 with additional information in posting lists.

## postgresql-rum 1.3.15

=== Makefile ===
# contrib/rum/Makefile

MODULE_big = rum
EXTENSION = rum
EXTVERSION = 1.3
PGFILEDESC = "RUM index access method"

OBJS = src/rumsort.o src/rum_ts_utils.o src/rumtsquery.o \
	src/rumbtree.o src/rumbulk.o src/rumdatapage.o \
	src/rumentrypage.o src/rumget.o src/ruminsert.o \
	src/rumscan.o src/rumutil.o src/rumvacuum.o src/rumvalidate.o \
	src/btree_rum.o src/rum_arr_utils.o $(WIN32RES)

DATA = rum--1.0--1.1.sql rum--1.1--1.2.sql \
	rum--1.2--1.3.sql

DATA_built = $(EXTENSION)--$(EXTVERSION).sql

INCLUDES = rum.h rumsort.h
RELATIVE_INCLUDES = $(addprefix src/, $(INCLUDES))

LDFLAGS_SL += $(filter -lm, $(LIBS))

REGRESS = security rum rum_validate rum_hash ruminv timestamp \
	orderby orderby_hash altorder altorder_hash limits \
	int2 int4 int8 float4 float8 money oid \
	time timetz date interval \
	macaddr inet cidr text varchar char bytea bit varbit \
	numeric rum_weight expr array

TAP_TESTS = 1

ISOLATION = predicate-rum predicate-rum-2
ISOLATION_OPTS = --load-extension=rum
EXTRA_CLEAN = pglist_tmp

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/rum
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

$(EXTENSION)--$(EXTVERSION).sql: rum_init.sql
	cat $^ > $@

#
# On versions 12 and 13 isolation tests cannot be run using pgxs.
# Override installcheck target to avoid the error. This is just a
# shortcut version of installcheck target from pgxs.mk that runs
# all other tests besides isolation tests.
#
ifdef USE_PGXS
ifeq ($(MAJORVERSION), $(filter 12% 13%, $(MAJORVERSION)))
installcheck: submake $(REGRESS_PREP)
ifdef REGRESS
	$(pg_regress_installcheck) $(REGRESS_OPTS) $(REGRESS)
endif
ifdef TAP_TESTS
	$(prove_installcheck)
endif
endif
endif

# --------------------------------------------------------
# Make conditional targets to save backward compatibility
# with PG11, PG10 and PG9.6.
# --------------------------------------------------------
ifeq ($(MAJORVERSION), $(filter 9.6% 10% 11%, $(MAJORVERSION)))

# arrays are not supported on 9.6
ifeq ($(MAJORVERSION), 9.6)
REGRESS := $(filter-out array, $(REGRESS))
endif

install: installincludes

installincludes:
	$(INSTALL) -d '$(DESTDIR)$(includedir_server)/'
	$(INSTALL_DATA) $(addprefix $(srcdir)/, $(RELATIVE_INCLUDES)) '$(DESTDIR)$(includedir_server)/'

uninstall: uninstallincludes

uninstallincludes:
	rm -f $(addprefix '$(DESTDIR)$(includedir_server)/', $(INCLUDES))

ISOLATIONCHECKS= predicate-rum predicate-rum-2

submake-isolation:
	$(MAKE) -C $(top_builddir)/src/test/isolation all

submake-rum:
	$(MAKE) -C $(top_builddir)/contrib/rum

isolationcheck: | submake-isolation submake-rum temp-install
	$(pg_isolation_regress_check) \
		--temp-config $(top_srcdir)/contrib/rum/logical.conf \
		$(ISOLATIONCHECKS)

# For 9.6-11 we have to make specific target with tap tests
check: temp-install
	$(prove_check)

endif

=== debian/changelog ===
postgresql-rum (1.3.15-1) unstable; urgency=medium

  * New upstream version 1.3.15.
  * Upload for PostgreSQL 18. (Closes: #1117331)
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Tue, 28 Oct 2025 12:22:33 +0100

=== debian/control ===
Source: postgresql-rum
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
 systemtap-sdt-dev,
Standards-Version: 4.7.2
Homepage: https://github.com/postgrespro/rum
Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-rum
Vcs-Git: https://salsa.debian.org/postgresql/postgresql-rum.git

Package: postgresql-18-rum
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: PostgreSQL RUM access method
 This PostgreSQL extension provides the RUM access method, an inverted index
 with additional information in posting lists.

=== debian/watch ===
version=4
https://github.com/postgrespro/rum/tags .*/([0-9].*).tar.gz
